#### ip::basic_resolver::results_type

The results type.

    typedef basic_resolver_results< InternetProtocol > results_type;

###### Types

Name | Description
--- | ---
const_iterator | The type of an iterator into the range.
const_reference | The type of a const reference to a value in the range.
difference_type | Type used to represent the distance between two iterators in the range.
endpoint_type | The endpoint type associated with the results.
iterator | The type of an iterator into the range.
iterator_category | The iterator category.
pointer | The type of the result of applying operator->() to the iterator.
protocol_type | The protocol type associated with the results.
reference | The type of a non-const reference to a value in the range.
size_type | Type used to represent a count of the elements in the range.
value_type | The type of a value in the results range.

###### Member Functions

Name | Description
--- | ---
basic_resolver_results | Default constructor creates an empty range. — Copy constructor. — Move constructor.
begin | Obtain a begin iterator for the results range.
cbegin | Obtain a begin iterator for the results range.
cend | Obtain an end iterator for the results range.
empty | Determine whether the results range is empty.
end | Obtain an end iterator for the results range.
max_size | Get the maximum number of entries permitted in a results range.
operator * | Dereference an iterator.
operator++ | Increment operator (prefix). — Increment operator (postfix).
operator-> | Dereference an iterator.
operator= | Assignment operator. — Move-assignment operator.
size | Get the number of entries in the results range.
swap | Swap the results range with another.

###### Protected Member Functions

Name | Description
--- | ---
dereference |
equal |
increment |

###### Protected Data Members

Name | Description
--- | ---
index_ |
values_ |

###### Friends

Name | Description
--- | ---
operator!= | Test two iterators for inequality.
operator== | Test two iterators for equality.

The `ip::basic_resolver_results` class template is used to define a range over the results returned by a resolver.

The iterator's value_type, obtained when a results iterator is dereferenced, is:

    const basic_resolver_entry<InternetProtocol>

###### Remarks

For backward compatibility, `ip::basic_resolver_results` is derived from `ip::basic_resolver_iterator`. This derivation is deprecated.

###### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.

###### Requirements

Header: `asio/ip/basic_resolver.hpp`

Convenience header: `asio.hpp`